JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const agentSummary of client.agents.list()) {
console.log(agentSummary.id);
}import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
page = client.agents.list()
page = page.agents[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Agents.List(context.TODO(), cercago.AgentListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
page = cerca.agents.list
puts(page)cerca agents list \
--api-key 'My API Key'curl --request GET \
--url https://api.cerca.dev/agents \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cerca.dev/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.cerca.dev/agents")
.header("Authorization", "Bearer <token>")
.asString();{
"agents": [
{
"activeThreadCount": 123,
"awaitingThreadCount": 123,
"createdAt": "<string>",
"defaultModel": "<string>",
"fleetId": "<string>",
"id": "<string>",
"metadata": {
"project": "alpha"
},
"orgId": "<string>",
"updatedAt": "<string>",
"userId": "<string>"
}
],
"cursor": "<string>",
"hasMore": true
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}Agents
List agents
GET
/
agents
JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const agentSummary of client.agents.list()) {
console.log(agentSummary.id);
}import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
page = client.agents.list()
page = page.agents[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Agents.List(context.TODO(), cercago.AgentListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
page = cerca.agents.list
puts(page)cerca agents list \
--api-key 'My API Key'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
When set to true, lists only agents with active or awaiting threads.
Available options:
true, false Example:
"true"
Opaque pagination cursor returned by a previous request.
Example:
"cursor_abc123"
Fleet to list agents from. Defaults to the API key's default fleet when omitted.
Example:
"fleet_abc123"
Maximum number of items to return. Defaults to 20 and preserves parseInt semantics.
Example:
"20"
⌘I